import request from '@/utils/request'

// 查询设备供应商信息列表
export function listSuplier(query) {
  return request({
    url: '/dms/suplier/list',
    method: 'get',
    params: query
  })
}

// 查询设备供应商信息详细
export function getSuplier(supplierId) {
  return request({
    url: '/dms/suplier/' + supplierId,
    method: 'get'
  })
}

// 新增设备供应商信息
export function addSuplier(data) {
  return request({
    url: '/dms/suplier',
    method: 'post',
    data: data
  })
}

// 修改设备供应商信息
export function updateSuplier(data) {
  return request({
    url: '/dms/suplier',
    method: 'put',
    data: data
  })
}

// 删除设备供应商信息
export function delSuplier(supplierId) {
  return request({
    url: '/dms/suplier/' + supplierId,
    method: 'delete'
  })
}
